## org.apache.cassandra.db
Class SliceFromReadCommand

    java.lang.Object
      org.apache.cassandra.db.ReadCommand
          org.apache.cassandra.db.SliceFromReadCommand

    public class SliceFromReadCommand

extends ReadCommand

Field Summary
`int` `count`
`byte[]` `finish`
`boolean` `reversed`
`byte[]` `start`

Fields inherited from class org.apache.cassandra.db.ReadCommand
`CMD_TYPE_GET_SLICE, CMD_TYPE_GET_SLICE_BY_NAMES, commandType, DO_REPAIR, EMPTY_CF, key, queryPath, table`

Constructor Summary
`SliceFromReadCommand(java.lang.String table, java.lang.String key, ColumnParent column_parent, byte[] start, byte[] finish, boolean reversed, int count)`
`SliceFromReadCommand(java.lang.String table, java.lang.String key, QueryPath path, byte[] start, byte[] finish, boolean reversed, int count)`

Method Summary
`ReadCommand` `copy()`
`Row` `getRow(Table table)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.cassandra.db.ReadCommand
`getColumnFamilyName, getComparator, isDigestQuery, makeReadMessage, serializer, setDigestQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### start

    public final byte[] start

### finish

    public final byte[] finish

### reversed

    public final boolean reversed

### count

    public final int count

Constructor Detail

### SliceFromReadCommand

    public SliceFromReadCommand(java.lang.String table,
                                java.lang.String key,
                                ColumnParent column_parent,
                                byte[] start,
                                byte[] finish,
                                boolean reversed,
                                int count)

### SliceFromReadCommand

    public SliceFromReadCommand(java.lang.String table,
                                java.lang.String key,
                                QueryPath path,
                                byte[] start,
                                byte[] finish,
                                boolean reversed,
                                int count)

Method Detail

### copy

    public ReadCommand copy()

  Specified by:
    `copy` in class `ReadCommand`

### getRow

    public Row getRow(Table table)
               throws java.io.IOException

  Specified by:
    `getRow` in class `ReadCommand`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2010 The Apache Software Foundation